<?php

namespace App\Validation;

interface Validator {

    /**
     * validates a variable string
     * @param string $name the name of the tested value
     * @param mixed $val the value to validate
     * @return ValidationFail|null the error if the validator did fail, or null if it succeeded
     */
    public function validate(string $name, $val): ?ValidationFail;

}